SelectorTest Class Reference

`#include <SelectorTest.h>`

Inheritance diagram for SelectorTest:

## Public Member Functions

| SelectorTest (TestSuite *s)
void | setup (void)
void | cleanup (void)
void | testIsPermutation (void)
void | testIsIdentityPermutation (void)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Member Functions

bool | genericTestIsPermutation (Selector *s)
bool | genericTestIsIdentityPermutation (Selector *s)

## Private Attributes

Selector * | s1
Selector * | s2
Selector * | s3
Selector * | s4
Selector * | sid1
Selector * | sid2

## Additional Inherited Members

Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## SelectorTest()

SelectorTest::SelectorTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## cleanup()

void SelectorTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented from UnitTest.

## genericTestIsIdentityPermutation()

bool SelectorTest::genericTestIsIdentityPermutation | ( | Selector * | s | ) |

private

## genericTestIsPermutation()

bool SelectorTest::genericTestIsPermutation | ( | Selector * | s | ) |

private

## setup()

void SelectorTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testIsIdentityPermutation()

void SelectorTest::testIsIdentityPermutation | ( | void |  | ) |

## testIsPermutation()

void SelectorTest::testIsPermutation | ( | void |  | ) |

## Member Data Documentation

## s1

Selector* SelectorTest::s1

private

## s2

Selector * SelectorTest::s2

private

## s3

Selector * SelectorTest::s3

private

## s4

Selector * SelectorTest::s4

private

## sid1

Selector* SelectorTest::sid1

private

## sid2

Selector * SelectorTest::sid2

private

The documentation for this class was generated from the following files:

- SelectorTest.h
- SelectorTest.cc